#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define 	module	meld3
Summary:	HTML/XML templating system for Python
Name:		python-%{module}
Version:	0.6.10
Release:	5
License:	ZPL v2.1
Group:		Development/Languages
URL:		http://www.plope.com/software/meld3/
Source0:	http://pypi.python.org/packages/source/m/meld3/meld3-%{version}.tar.gz
# Source0-md5:	42e58624e9d427be7659d7a28e2b0b6f
# The current meld3 tarball leaves this out by mistake
# https://github.com/Supervisor/meld3/raw/0.6.7/meld3/cmeld3.c -- AKA:
# https://github.com/Supervisor/meld3/raw/bafd959fc2e389f46786a6b3174d50f9963fe967/meld3/cmeld3.c
BuildRequires:	python-devel
BuildRequires:	python-elementtree
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	python-elementtree
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
meld3 is an HTML/XML templating system for Python 2.3+ which keeps
template markup and dynamic rendering logic separate from one another.
See <http://www.entrian.com/PyMeld> for a treatise on the benefits of
this pattern.

%prep
%setup -q -n meld3-%{version}

%build
export USE_MELD3_EXTENSION_MODULES=True
%py_build

%if %{with tests}
%{__python} meld3/test_meld3.py
%endif

%install
rm -rf $RPM_BUILD_ROOT
export USE_MELD3_EXTENSION_MODULES=True
%py_install

%py_postclean

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/meld3/test_*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt COPYRIGHT.txt LICENSE.txt CHANGES.txt
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%attr(755,root,root) %{py_sitedir}/meld3/cmeld3.so
%{py_sitedir}/%{module}-%{version}*.egg-info
%changelog
* Sat Nov 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-meld3.git;a=log;h=master

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 7f5a7d4
- rebuild with separate debuginfo build-ids

* Mon Mar 08 2021 Jan Rękorajski <baggins@pld-linux.org> afa7b05
- release 4 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> eb8e6f5
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> ed6f7a3
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> ce53f5b
- automatic change: use py_build/py_install macros

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> d1fdb0d
- x32 rebuild
- release 2 (by relup.sh)

* Mon Mar 11 2013 Elan Ruusamäe <glen@delfi.ee> 81bff27
- up to 0.6.10

* Sat Mar 09 2013 Elan Ruusamäe <glen@delfi.ee> 0091029
- do not modify .py after they have been compiled!

* Sat Mar 09 2013 Elan Ruusamäe <glen@delfi.ee> 31c13a8
- new, version 0.6.7

